Plank.DefaultApplicationDockItemProvider – plank Reference Manual

# DefaultApplicationDockItemProvider

## Object Hierarchy:

## Description:

public class DefaultApplicationDockItemProvider : ApplicationDockItemProvider

The default container and controller class for managing application dock items on a dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public DockPreferences Prefs { construct; get; }

### Creation methods:

- public DefaultApplicationDockItemProvider (DockPreferences prefs, File launchers_dir)
  Creates the default container for dock items.

### Methods:

- protected override void update_visible_elements ()
- public override void prepare ()
  Do some special implementation specific preparation
- protected override void app_opened (Application app)
- protected override void connect_element (DockElement element)
- protected override void disconnect_element (DockElement element)
- protected override void handle_item_deleted (DockItem item)
- public void pin_item (DockItem item)

### Inherited Members:

All known members inherited from class Plank.ApplicationDockItemProvider

- LaunchersDir
- item_for_application
- add_item_with_uri
- prepare
- get_dockitem_filenames

- app_opened
- delay_items_monitor
- resume_items_monitor
- connect_element

- disconnect_element
- remove_launcher_entry
- update_launcher_entry
- item_window_added

All known members inherited from class Plank.DockItemProvider

- item_exists_for_uri
- item_for_uri
- add_item_with_uri

- can_accept_drop
- accept_drop
- connect_element

- disconnect_element
- handle_item_deleted
- get_dockitem_filenames

All known members inherited from class Plank.DockContainer

- VisibleElements
- Elements
- move_element
- prepare
- add
- prepend
- add_all
- remove

- remove_all
- clear
- update_visible_elements
- move_to
- reset_buffers
- replace
- connect_element

- disconnect_element
- elements_changed
- states_changed
- positions_changed
- placeholder_item
- visible_elements
- internal_elements

All known members inherited from class Plank.DockElement

- Container
- Text
- IsAttached
- IsVisible
- Button
- ClickedAnimation
- HoveredAnimation
- ScrolledAnimation
- AddTime
- RemoveTime
- LastClicked
- LastHovered

- LastScrolled
- LastUrgent
- LastActive
- LastMove
- LastValid
- create_menu_item
- create_menu_item_with_pixbuf
- clicked
- on_clicked
- hovered
- on_hovered
- scrolled

- on_scrolled
- get_dock
- get_menu_items
- get_drop_text
- can_be_removed
- can_accept_drop
- accept_drop
- unique_id
- as_uri
- reset_buffers
- needs_redraw

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- weak_ref
- weak_unref
- notify
- ref_count

All known members inherited from interface Plank.UnityClient

- update_launcher_entry

- remove_launcher_entry